zenilib: zenilib/jni/external/lib3ds/src/lib3ds_camera.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
lib3ds_camera.c File Reference
`#include "lib3ds_impl.h"`

Go to the source code of this file.

## Functions

void | lib3ds_camera_free (Lib3dsCamera *camera)
Lib3dsCamera * | lib3ds_camera_new (const char *name)
void | lib3ds_camera_read (Lib3dsCamera *camera, Lib3dsIo *io)
void | lib3ds_camera_write (Lib3dsCamera *camera, Lib3dsIo *io)

## Function Documentation

void lib3ds_camera_read | ( | Lib3dsCamera * | camera,
|  | Lib3dsIo * | io
| ) |  |

Read a camera definition from a file.

This function is called by lib3ds_file_read(), and you probably don't want to call it directly.

Parameters

  camera | A Lib3dsCamera to be filled in.
  io | A Lib3dsIo object previously set up by the caller.

See Also
  lib3ds_file_read

Definition at line 72 of file lib3ds_camera.c.

References CHK_CAM_RANGES, CHK_CAM_SEE_CONE, CHK_N_CAMERA, chunk, fabs(), Lib3dsCamera::far_range, Lib3dsCamera::fov, i, lib3ds_chunk_read_end(), lib3ds_chunk_read_next(), lib3ds_chunk_read_start(), lib3ds_chunk_read_tell(), lib3ds_chunk_unknown(), LIB3DS_EPSILON, lib3ds_io_read_float(), Lib3dsCamera::near_range, Lib3dsCamera::position, Lib3dsCamera::roll, Lib3dsCamera::see_cone, Lib3dsCamera::target, and TRUE.

Referenced by named_object_read().

void lib3ds_camera_write | ( | Lib3dsCamera * | camera,
|  | Lib3dsIo * | io
| ) |  |

Write a camera definition to a file.

This function is called by lib3ds_file_write(), and you probably don't want to call it directly.

Parameters

  camera | A Lib3dsCamera to be written.
  io | A Lib3dsIo object previously set up by the caller.

See Also
  lib3ds_file_write

Definition at line 133 of file lib3ds_camera.c.

References CHK_CAM_RANGES, CHK_CAM_SEE_CONE, CHK_N_CAMERA, Lib3dsChunk::chunk, fabs(), Lib3dsCamera::far_range, Lib3dsCamera::fov, lib3ds_chunk_write(), lib3ds_chunk_write_end(), lib3ds_chunk_write_start(), LIB3DS_EPSILON, lib3ds_io_write_float(), lib3ds_io_write_vector(), Lib3dsCamera::near_range, Lib3dsCamera::position, Lib3dsCamera::roll, Lib3dsCamera::see_cone, Lib3dsChunk::size, and Lib3dsCamera::target.

Referenced by mdata_write().